#include "../include/aprecv-general.h"

int print_bofl_packet (struct aprecv_frame_header *header, unsigned char *packet, int opt_size) {
  static struct bofl_pkt_header *bofl_header;
  
  bofl_header = (struct bofl_pkt_header *)(packet+data_link_size+opt_size);
  
  apsr_output("\n- BOFL Header -\n  PDU: 0x%08x, Sequence: %u\n",
                                   apsr_ntohl(bofl_header->pdu),
				   apsr_ntohl(bofl_header->seq));
  
  if(statistic) 
          stats.c.bofl++;

  return(RET_SUCCESS);
}
