#include "../include/aprecv-general.h"

int print_sctp_packet (unsigned char *packet, int opt_size) {
  static struct sctp_pkt_header *sctp_header;
    
  sctp_header = (struct sctp_pkt_header *)(packet+data_link_size+opt_size);

  apsr_output("- SCTP Header -\n  Src Port: %u, Dst Port: %u\n", 
		  apsr_ntohs(sctp_header->src_port), 
		  apsr_ntohs(sctp_header->dst_port));
  apsr_output("  Verification Tag: 0x%08x, Checksum: 0x%08x\n", 
		  apsr_ntohl(sctp_header->v_tag), apsr_ntohl(sctp_header->sum));

  if(statistic) 
          stats.c.sctp++;
  
  return(RET_SUCCESS);
}
