/* OSPF Types (rfc 2740) */
#define APSR_OPSF_TYPE_HELLO	1	/* Hello */
#define APSR_OSPF_TYPE_DD	2	/* Database Description */
#define APSR_OSPF_TYPE_LSR	3	/* Line state request */
#define APSR_OSPF_TYPE_LSU	4	/* Link state update */
#define APSR_OSPF_TYPE_LSA	5	/* Link state acknowledgement */

/* OSPF Authentication methods */
#define APSR_OSPF_AUTH_TYPE_NO	0	/* None */
#define APSR_OSPF_AUTH_TYPE_SI	1	/* Simple password authentication */
#define APSR_OSPF_AUTH_TYPE_CR	2	/* Cryptographic authentication/MD5 */

